Web Hosting
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WordPress fix Error After 4.9 – Unable to Edit the Theme & Backup Plugin Stop Working

Discussion in 'Misc WordPress Requests' started by anggora, Nov 16, 2017.

  1. anggora

    Guest

    Error After 4.9 – Unable to Edit the Theme & Backup Plugin Stop Working, by anggora

    After upading the WP to v 4.9, I’m unable to edit the theme from the Appearance -> Editor page.

    The steps that I did:
    – Updated to 4.9
    – Updated plugins
    – Cleared cached from the plugin
    – Deleted cache files – just in case

    After those steps, I’m unable to edit the .php files (within the editor page area).

    For example, I was working on the footer.php file and after clicking on the “Update File” button, I got:
    “Unable to communicate back with site to check for fatal errors, so the PHP change was reverted. You will need to upload your PHP file change by some other means, such as by using SFTP.”

    iThemes Security plugin stop working as well, it says that it doesn’t have permission to the backend to do the backup :-/ Everything else with the plugin is working after the update. The only issue is with the backup feature. I disabled, deleted, and re-installed the plugin; still experiencing the same issue.

    I had to revert back to the previous version so that I can work on the site and have the backup running on a daily basis.

    Please advise what I can do so that I can edit the theme (php files) from the Editor page.

    Thank you.

    Error After 4.9 – Unable to Edit the Theme & Backup Plugin Stop Working
     
    #1

Share This Page

Web Hosting